RKNEXT(3)

NAME
RkNext - set the next candidate as the current candidate

SYNOPSIS
#include <canna/RK.h>
int RkNext(cxnum)
int cxnum;

DESCRIPTION
RkNext sets the next candidate as the current candidate or, if the current candidate is the last candidate, moves to the first candidate.

RETURN VALUE
If successful, this function moves the current candidate in the context and returns the current candidate number after the move. It returns 0, without doing anything, if it has been run in a nonconversion mode context.